
#include "appevent.ch"
#include "memvar.ch"
#include "std.ch"
#include "common.ch"
#include "dcdialog.ch"
#include "dcbitmap.ch"
#include "dccursor.ch"
#include "dcicon.ch"
#include "appevent.ch"
#INCLUDE "dcprint.CH"
#include "inkey.ch"
#INCLUDE "Directry.ch"
#INCLUDE "FILEIO.CH"
#include "xbp.ch"
#INCLUDE "appevent.CH"
#INCLUDE "gra.CH"

PROC appsys
return

FUNCTION _GetDayMonth( dDate )
LOCAL cDTOC, cMONTH, cDAY, cDayMonth
   cDTOC = DTOC(dDate)
   cMONTH = AllTrim(SUBSTR(cDTOC,1,2))
   cDAY = AllTrim(SUBSTR(cDTOC,4,2))

   cDayMonth = cMONTH+cDAY

RETURN cDayMonth

FUNCTION main()
   LOCAL GetList := {}, ;                       // clear the get list
      GetOptions,;                              // local get options
      nAccount, oScreen,;                         // current account being processed
         oGroup1, oGroup2 ,;
				 oPrinter

   LOCAL  mDTOC ,;
          mMONTH ,;
          mDAY ,;
          mDATE ,;
          mRPT,;
          mNum,;
               cOrder := 'A'

   LOCAL MDISP := 'S',;
	 cHeaderFont := '12.Arial Bold'  ,;
   cAccountsFont := '12.Arial Bold' ,;
	 cReportBodyFont :=  '10.Arial',;
   cDate := DtoC(Date()),;
   cTime := Time()

    @ 4,10  DCGROUP oGroup2 CAPTION 'Send Report To' SIZE 15, 4.50
    @ .80,2  DCRADIO MDISP VALUE 'S' PROMPT 'SCREEN' PARENT oGroup2
    @ 1.80,2 DCRADIO MDISP VALUE 'P' PROMPT 'PRINTER' PARENT oGroup2
    @ 2.80,2 DCRADIO MDISP VALUE 'F' PROMPT 'FILE' PARENT oGroup2

    @ 9, 5 DCPUSHBUTTON CAPTION '~Ok' SIZE 10, 1.50 ;
            ACCELKEY xbeK_ALT_O ;
            ACTION {||DC_ReadGuiEvent(DCGUI_EXIT_OK,GetList)}

     @9, 20 DCPUSHBUTTON CAPTION '~Cancel' SIZE 10, 1.50 ;
            ACCELKEY xbeK_ALT_C ;
            ACTION {||DC_ReadGuiEvent(DCGUI_EXIT_ABORT,GetList)};
            CARGO 'CANCEL'

      DCREAD GUI FIT MODAL TO lOk ;
            TITLE 'View Readings' OPTIONS GetOptions

     IF !lOk  // If cancel button was pressed then return
        RETURN .T.
     ENDIF

	  IF MDISP = 'S'                            // To the Screen
         DCPRINT ON FONT cReportBodyFont PREVIEW ZOOMFACTOR 1.25 TO oPrinter
    ELSEIF MDISP == 'P'                       // To the Printer
         DCPRINT ON FONT cReportBodyFont TO oPrinter
    ELSE                                     // to a file
	    cMDDATE := _GetDayMonth( DATE() )
      cRPT = 'NewRead'+cMDDATE+'.TXT'
			DCPRINT ON TO oPrinter TEXTONLY TOFILE
   ENDIF

  IF MDISP = 'P'
      oScreen := DC_WaitOn('Printing...')
  ENDIF
  IF MDISP # 'F'
    IF Valtype(oPrinter) # 'O' .OR. !oPrinter:lActive
        IF MDISP == 'P'
          DC_Impl(oScreen)
        ENDIF
        RETURN .T.
    ENDIF
  ENDIF


	@ 1,3  DCPRINT SAY cDate+' at '+cTime FONT cHeaderFont
  @ 1,30 DCPRINT SAY 'Meters Turned Over Report'   FONT cHeaderFont
  @ 1,68 DCPRINT SAY 'Page ' + Alltrim(Str(oPrinter:nPage))  FONT cHeaderFont

	@ DC_PrinterRow()+1,2 DCPRINT SAY '12345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890' FONT cHeaderFont

  @ DC_PrinterRow()+1,DC_PrinterCol()+2 DCPRINT SAY 'Account' FONT cHeaderFont
  @ DC_PrinterRow(),DC_PrinterCol()+15 DCPRINT SAY 'New' ALIGN DCPRINT_ALIGN_RIGHT FONT cHeaderFont
  @ DC_PrinterRow(),DC_PrinterCol()+23 DCPRINT SAY 'Curr' ALIGN DCPRINT_ALIGN_RIGHT FONT cHeaderFont
  @ DC_PrinterRow(),DC_PrinterCol()+31 DCPRINT SAY 'Prv' ALIGN DCPRINT_ALIGN_RIGHT FONT cHeaderFont
  @ DC_PrinterRow(),DC_PrinterCol()+37 DCPRINT SAY 'Gal' ALIGN DCPRINT_ALIGN_RIGHT FONT cHeaderFont
	@ DC_PrinterRow(),DC_PrinterCol()+41 DCPRINT SAY 'Date' ALIGN DCPRINT_ALIGN_RIGHT  FONT cHeaderFont
  @ DC_PrinterRow(),DC_PrinterCol()+47 DCPRINT SAY 'Walk#' ALIGN DCPRINT_ALIGN_RIGHT  FONT cHeaderFont
  @ DC_PrinterRow(),DC_PrinterCol()+57 DCPRINT SAY 'Status' ALIGN DCPRINT_ALIGN_RIGHT  FONT cHeaderFont
  @ DC_PrinterRow(),DC_PrinterCol()+60 DCPRINT SAY 'Route' ALIGN DCPRINT_ALIGN_RIGHT  FONT cHeaderFont
  @ DC_PrinterRow(),DC_PrinterCol()+58 DCPRINT SAY 'Name' FONT cHeaderFont

  @ DC_PrinterRow()+1,DC_PrinterCol()+2 DCPRINT SAY 'Account' FONT cHeaderFont
  @ DC_PrinterRow(),DC_PrinterCol()+15 DCPRINT SAY 'New' FONT cHeaderFont
  @ DC_PrinterRow(),DC_PrinterCol()+23 DCPRINT SAY 'Curr' FONT cHeaderFont
  @ DC_PrinterRow(),DC_PrinterCol()+31 DCPRINT SAY 'Prv' FONT cHeaderFont
  @ DC_PrinterRow(),DC_PrinterCol()+37 DCPRINT SAY 'Gal' FONT cHeaderFont
	@ DC_PrinterRow(),DC_PrinterCol()+41 DCPRINT SAY 'Date' FONT cHeaderFont
  @ DC_PrinterRow(),DC_PrinterCol()+47 DCPRINT SAY 'Walk#' FONT cHeaderFont
  @ DC_PrinterRow(),DC_PrinterCol()+57 DCPRINT SAY 'Status' FONT cHeaderFont
  @ DC_PrinterRow(),DC_PrinterCol()+60 DCPRINT SAY 'Route' FONT cHeaderFont
  @ DC_PrinterRow(),DC_PrinterCol()+58 DCPRINT SAY 'Name' FONT cHeaderFont

	nRow := 5
  @ nRow,2 DCPRINT SAY 'Account' FONT cHeaderFont
  @ nRow,15 DCPRINT SAY 'New' FONT cHeaderFont
  @ nRow,23 DCPRINT SAY 'Curr' FONT cHeaderFont
  @ nRow,31 DCPRINT SAY 'Prv' FONT cHeaderFont
  @ nRow,37 DCPRINT SAY 'Gal' FONT cHeaderFont
	@ nRow,41 DCPRINT SAY 'Date' FONT cHeaderFont
  @ nRow,47 DCPRINT SAY 'Walk#' FONT cHeaderFont
  @ nRow,57 DCPRINT SAY 'Status' FONT cHeaderFont
  @ nRow,60 DCPRINT SAY 'Route' FONT cHeaderFont
  @ nRow,70 DCPRINT SAY 'Name' FONT cHeaderFont


  IF MDISP == 'P'
      DC_Impl(oScreen)
  ENDIF

   DCPRINT OFF

RETURN .T.

